Cloud Services - Get Instance View
Bulut hizmetinin durumunu alır.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/cloudServices/{cloudServiceName}/instanceView?api-version=2024-11-04
URI Parametreleri
| Name | İçinde | Gerekli | Tür | Description |
|---|---|---|---|---|
|
cloud
|
path | True |
string |
Bulut hizmetinin adı. |
|
resource
|
path | True |
string |
Kaynak grubunun adı. |
|
subscription
|
path | True |
string |
Microsoft Azure aboneliğini benzersiz olarak tanımlayan abonelik kimlik bilgileri. Abonelik kimliği, her hizmet çağrısı için URI'nin bir parçasını oluşturur. |
|
api-version
|
query | True |
string |
İstemci Api Sürümü. |
Yanıtlar
| Name | Tür | Description |
|---|---|---|
| 200 OK |
Tamam |
|
| Other Status Codes |
Hata |
Güvenlik
azure_auth
Azure Active Directory OAuth2 Akışı.
Tür:
oauth2
Akış:
implicit
Yetkilendirme URL’si:
https://login.microsoftonline.com/common/oauth2/authorize
Kapsamlar
| Name | Description |
|---|---|
| user_impersonation | kullanıcı hesabınızın kimliğine bürünme |
Örnekler
Get Cloud Service Instance View with Multiple Roles
Örnek isteği
GET https://management.azure.com/subscriptions/{subscription-id}/resourceGroups/ConstosoRG/providers/Microsoft.Compute/cloudServices/{cs-name}/instanceView?api-version=2024-11-04
Örnek yanıt
{
"roleInstance": {
"statusesSummary": [
{
"code": "ProvisioningState/succeeded",
"count": 4
},
{
"code": "PowerState/started",
"count": 4
},
{
"code": "RoleState/RoleStateStarted",
"count": 4
}
]
},
"sdkVersion": "2.9.6496.3",
"privateIds": [
"3491bc0c-1f6c-444f-b1d0-ec0751a74e3e"
],
"statuses": [
{
"code": "ProvisioningState/succeeded",
"level": "Info",
"displayStatus": "Provisioning succeeded",
"time": "2021-01-12T16:50:07.0953535+05:30"
},
{
"code": "PowerState/started",
"level": "Info",
"displayStatus": "Started",
"time": "2021-01-12T16:50:07.0953535+05:30"
},
{
"code": "CurrentUpgradeDomain/-1",
"level": "Info",
"displayStatus": "Current Upgrade Domain of cloud service is -1."
},
{
"code": "MaxUpgradeDomain/1",
"level": "Info",
"displayStatus": "Max Upgrade Domain of cloud service is 1."
}
]
}
Tanımlar
| Name | Description |
|---|---|
|
Api |
API hatası. |
|
Api |
Api hata tabanı. |
|
Cloud |
İşlem hizmetinden bir hata yanıtı. |
|
Cloud |
Bir bütün olarak CloudService'in InstanceView |
|
Inner |
İç hata ayrıntıları. |
|
Instance |
Örnek görünüm durumları. |
|
Resource |
Örnek görünümü durumu. |
|
Status |
Bulut hizmeti örneği görünüm durumlarının durum kodu ve sayısı |
|
Status |
Düzey kodu. |
ApiError
API hatası.
| Name | Tür | Description |
|---|---|---|
| code |
string |
Hata kodu. |
| details |
Api hata ayrıntıları |
|
| innererror |
Api iç hatası |
|
| message |
string |
Hata iletisi. |
| target |
string |
Belirli bir hatanın hedefi. |
ApiErrorBase
Api hata tabanı.
| Name | Tür | Description |
|---|---|---|
| code |
string |
Hata kodu. |
| message |
string |
Hata iletisi. |
| target |
string |
Belirli bir hatanın hedefi. |
CloudError
İşlem hizmetinden bir hata yanıtı.
| Name | Tür | Description |
|---|---|---|
| error |
API hatası. |
CloudServiceInstanceView
Bir bütün olarak CloudService'in InstanceView
| Name | Tür | Description |
|---|---|---|
| privateIds |
string[] |
Bulut hizmeti için dahili olarak oluşturulan benzersiz tanımlayıcıların listesini belirtir. |
| roleInstance |
Örnek görünüm durumları. |
|
| sdkVersion |
string |
Bulut hizmeti için paket oluşturmak için kullanılan SDK sürümü. |
| statuses |
Örnek görünümü durumu. |
InnerError
İç hata ayrıntıları.
| Name | Tür | Description |
|---|---|---|
| errordetail |
string |
İç hata iletisi veya özel durum dökümü. |
| exceptiontype |
string |
Özel durum türü. |
InstanceViewStatusesSummary
Örnek görünüm durumları.
| Name | Tür | Description |
|---|---|---|
| statusesSummary |
Özet. |
ResourceInstanceViewStatus
Örnek görünümü durumu.
| Name | Tür | Description |
|---|---|---|
| code |
string |
Durum kodu. |
| displayStatus |
string |
Durum için kısa yerelleştirilebilir etiket. |
| level |
Düzey kodu. |
|
| message |
string |
Uyarılar ve hata iletileri dahil olmak üzere ayrıntılı durum iletisi. |
| time |
string (date-time) |
Durum zamanı. |
StatusCodeCount
Bulut hizmeti örneği görünüm durumlarının durum kodu ve sayısı
| Name | Tür | Description |
|---|---|---|
| code |
string |
Örnek görünümü durum kodu |
| count |
integer (int32) |
Bu durum koduna sahip örneklerin sayısı |
StatusLevelTypes
Düzey kodu.
| Değer | Description |
|---|---|
| Info | |
| Warning | |
| Error |